/* This software is contributed or developed by KYOCERA Corporation.
 * (C) 2011 KYOCERA Corporation
 */
#ifndef HS_IO_CTL_A_WS2_H
#define HS_IO_CTL_A_WS2_H


















#include "gpio.h"

#include "proc_comm_kyocera.h"


#define GPIO_CAM_PWDN        GPIO_0
#define GPIO_I2C_1_SDA       GPIO_1
#define GPIO_I2C_1_SCL       GPIO_2
#define GPIO_CAM_RST         GPIO_3
#define GPIO_BT_RST          GPIO_16
#define GPIO_AS_INT          GPIO_17
#define GPIO_GS_RST          GPIO_18
#define GPIO_GS_INT          GPIO_19
#define GPIO_WAKES_QSD       GPIO_21
#define GPIO_I2C_0_SDA       GPIO_22
#define GPIO_PM_INT_N        GPIO_24
#define GPIO_PS_HOLD         GPIO_25
#define GPIO_RF_SW_ON
#define GPIO_CARD_DETB       GPIO_28
#define GPIO_QSD_WAKES_BT    GPIO_29
#define GPIO_REG_ON
#define GPIO_WL_WAKE_N       GPIO_30
#define GPIO_GPS_REG_CNT     GPIO_33
#define GPIO_I2C_0_SCL       GPIO_34
#define GPIO_SLIDE1          GPIO_35
#define GPIO_VOL_UP_KEY      GPIO_36
#define GPIO_VOL_DOWN_KEY    GPIO_37
#define GPIO_SLIDE2          GPIO_38
#define GPIO_TP0_INT         GPIO_40
#define GPIO_TP1_INT         GPIO_41
#define GPIO_CN262_29        GPIO_42
#define GPIO_BT_RTS          GPIO_43
#define GPIO_BT_CTS          GPIO_44
#define GPIO_BT_RXD          GPIO_45
#define GPIO_BT_TXD          GPIO_46
#define GPIO_LCD2_SPICLK     GPIO_47
#define GPIO_LCD2_SPISO      GPIO_48
#define GPIO_LCD2_SPICS0     GPIO_49
#define GPIO_LCD2_SPISI      GPIO_50
#define GPIO_LCD1_RST        GPIO_61
#define GPIO_TP0_RST         GPIO_72
#define GPIO_TP1_RST         GPIO_73
#define GPIO_VIB_ON1
#define GPIO_PLOXIMITY_ON    GPIO_76
#define GPIO_VIB_ON2
#define GPIO_PHOTO_ON        GPIO_77
#define GPIO_I2C_5_SCL       GPIO_78
#define GPIO_I2C_5_SDA       GPIO_79
#define GPIO_WL_RST_N        GPIO_80
#define GPIO_PA_ON1          GPIO_83
#define GPIO_LCD2_RST        GPIO_94
#define GPIO_JDET_INT        GPIO_97
#define GPIO_CAM_DVDD_CNT
#define GPIO_LED_EN1         GPIO_99
#define GPIO_LCD1_VSYNC      GPIO_100
#define GPIO_USB_TCXO_ON     GPIO_104
#define GPIO_PS_OUT          GPIO_106
#define GPIO_WL_HOST_WAKE_B  GPIO_141
#define GPIO_I2C_6_SDA       GPIO_142
#define GPIO_I2C_6_SCL       GPIO_143
#define GPIO_EAR_DET         GPIO_145
#define GPIO_SPK_ON1         GPIO_146
#define GPIO_SPK_ON2         GPIO_147
#define GPIO_EAR_SW          GPIO_148
#define GPIO_MIC_ON          GPIO_150
#define GPIO_CAM_FLASH_EN
#define GPIO_LED_EN2         GPIO_155
#define GPIO_CAM_VDD_L_CNT   GPIO_156
#define GPIO_PA_R1           GPIO_162
#define GPIO_TCXO_EN         GPIO_163
#define GPIO_PMIC_SSBI       GPIO_164



#define HS_A_CAM_PWDN_HI() \
  gpio_direction_output( GPIO_CAM_PWDN, GPIO_HI )

#define HS_A_CAM_PWDN_LO() \
  gpio_direction_output( GPIO_CAM_PWDN, GPIO_LO )



#define HS_A_I2C_1_SDA_HI() \
  gpio_direction_output( GPIO_I2C_1_SDA, GPIO_HI )

#define HS_A_I2C_1_SDA_LO() \
  gpio_direction_output( GPIO_I2C_1_SDA, GPIO_LO )



#define HS_A_I2C_1_SCL_HI() \
  gpio_direction_output( GPIO_I2C_1_SCL, GPIO_HI )

#define HS_A_I2C_1_SCL_LO() \
  gpio_direction_output( GPIO_I2C_1_SCL, GPIO_LO )



#define HS_A_CAM_RST_HI() \
  gpio_direction_output( GPIO_CAM_RST, GPIO_HI )

#define HS_A_CAM_RST_LO() \
  gpio_direction_output( GPIO_CAM_RST, GPIO_LO )

















#define HS_A_BT_RST_HI() \
  gpio_direction_output( GPIO_BT_RST, GPIO_HI )

#define HS_A_BT_RST_LO() \
  gpio_direction_output( GPIO_BT_RST, GPIO_LO )






#define HS_A_GS_RST_HI() \
  gpio_direction_output( GPIO_GS_RST, GPIO_HI )

#define HS_A_GS_RST_LO() \
  gpio_direction_output( GPIO_GS_RST, GPIO_LO )











#define HS_A_I2C_0_SDA_HI() \
  gpio_direction_output( GPIO_I2C_0_SDA, GPIO_HI )

#define HS_A_I2C_0_SDA_LO() \
  gpio_direction_output( GPIO_I2C_0_SDA, GPIO_LO )









#define HS_A_RF_SW_ON_HI()

#define HS_A_RF_SW_ON_LO()


#define HS_A_IS_SDC_DET_ON    GPIO_LO

#define HS_A_IS_SDC_DET() \
  ( gpio_get_value( GPIO_CARD_DETB ) == HS_A_IS_SDC_DET_ON )



#define HS_A_QSD_WAKES_BT_HI() \
  gpio_direction_output( GPIO_QSD_WAKES_BT, GPIO_HI )

#define HS_A_QSD_WAKES_BT_LO() \
  gpio_direction_output( GPIO_QSD_WAKES_BT, GPIO_LO )



#define HS_A_REG_ON_HI()

#define HS_A_REG_ON_LO()



#define HS_A_WL_WAKE_N_HI() \
  gpio_direction_output( GPIO_WL_WAKE_N, GPIO_HI)
  
#define HS_A_WL_WAKE_N_LO() \
  gpio_direction_output( GPIO_WL_WAKE_N, GPIO_LO)



#define HS_A_GPS_REG_CNT_HI() \
  gpio_direction_output( GPIO_GPS_REG_CNT, GPIO_HI )

#define HS_A_GPS_REG_CNT_LO() \
  gpio_direction_output( GPIO_GPS_REG_CNT, GPIO_LO )



#define HS_A_I2C_0_SCL_HI() \
  gpio_direction_output( GPIO_I2C_0_SCL, GPIO_HI )

#define HS_A_I2C_0_SCL_LO() \
  gpio_direction_output( GPIO_I2C_0_SCL, GPIO_LO )






#define HS_A_IS_VOL_UP_KEY_PRESS() \
  ( gpio_get_value( GPIO_VOL_UP_KEY ) == GPIO_LO )



#define HS_A_IS_VOL_DOWN_KEY_PRESS() \
  ( gpio_get_value( GPIO_VOL_DOWN_KEY ) == GPIO_LO )










#define HS_A_IS_MDDI_NOT_CONNECT() \
  ( gpio_get_value( GPIO_CN262_29 ) == GPIO_HI )


#define HS_A_TC_DVDD_CNT_HI() \
  gpio_direction_output( GPIO_TC_DVDD_CNT, GPIO_HI )

#define HS_A_TC_DVDD_CNT_LO() \
  gpio_direction_output( GPIO_TC_DVDD_CNT, GPIO_LO )
























#define HS_A_LCD1_RST_HI() \
  gpio_direction_output( GPIO_LCD1_RST, GPIO_HI )

#define HS_A_LCD1_RST_LO() \
  gpio_direction_output( GPIO_LCD1_RST, GPIO_LO )
















#define HS_A_TP0_RST_HI() \
  gpio_direction_output( GPIO_TP0_RST, GPIO_HI )

#define HS_A_TP0_RST_LO() \
  gpio_direction_output( GPIO_TP0_RST, GPIO_LO )



#define HS_A_TP1_RST_HI() \
  gpio_direction_output( GPIO_TP1_RST, GPIO_HI )

#define HS_A_TP1_RST_LO() \
  gpio_direction_output( GPIO_TP1_RST, GPIO_LO )



#define HS_A_VIB_ON1_HI()

#define HS_A_VIB_ON1_LO()



#define HS_A_PLOXIMITY_ON_HI() \
  gpio_direction_output( GPIO_PLOXIMITY_ON, GPIO_HI )

#define HS_A_PLOXIMITY_ON_LO() \
  gpio_direction_output( GPIO_PLOXIMITY_ON, GPIO_LO )



#define HS_A_VIB_ON2_HI()

#define HS_A_VIB_ON2_LO()



#define HS_A_PHOTO_ON_HI() \
  gpio_direction_output( GPIO_PHOTO_ON, GPIO_HI )

#define HS_A_PHOTO_ON_LO() \
  gpio_direction_output( GPIO_PHOTO_ON, GPIO_LO )


#define HS_A_I2C_5_SCL_HI() \
  gpio_direction_output( GPIO_I2C_5_SCL, GPIO_HI )

#define HS_A_I2C_5_SCL_LO() \
  gpio_direction_output( GPIO_I2C_5_SCL, GPIO_LO )



#define HS_A_I2C_5_SDA_HI() \
  gpio_direction_output( GPIO_I2C_5_SDA, GPIO_HI )

#define HS_A_I2C_5_SDA_LO() \
  gpio_direction_output( GPIO_I2C_5_SDA, GPIO_LO )



#define HS_A_WL_RST_N_HI() \
  gpio_direction_output( GPIO_WL_RST_N, GPIO_HI )

#define HS_A_WL_RST_N_LO() \
  gpio_direction_output( GPIO_WL_RST_N, GPIO_LO )



#define HS_A_PA_ON1_HI() \
  gpio_direction_output( GPIO_PA_ON1, GPIO_HI )

#define HS_A_PA_ON1_LO() \
  gpio_direction_output( GPIO_PA_ON1, GPIO_LO )



#define HS_A_LCD2_RST_HI() \
  gpio_direction_output( GPIO_LCD2_RST, GPIO_HI )

#define HS_A_LCD2_RST_LO() \
  gpio_direction_output( GPIO_LCD2_RST, GPIO_LO )







#define HS_A_JDET_INT_READ() \
  gpio_get_value( GPIO_JDET_INT )



#define HS_A_CAM_DVDD_CNT_HI()

#define HS_A_CAM_DVDD_CNT_LO()



#define HS_A_LED_EN1_HI() \
  gpio_direction_output( GPIO_LED_EN1, GPIO_HI )

#define HS_A_LED_EN1_LO() \
  gpio_direction_output( GPIO_LED_EN1, GPIO_LO )






#define HS_A_I2C_6_SDA_HI() \
  gpio_direction_output( GPIO_I2C_6_SDA, GPIO_HI )

#define HS_A_I2C_6_SDA_LO() \
  gpio_direction_output( GPIO_I2C_6_SDA, GPIO_LO )



#define HS_A_I2C_6_SCL_HI() \
  gpio_direction_output( GPIO_I2C_6_SCL, GPIO_HI )

#define HS_A_I2C_6_SCL_LO() \
  gpio_direction_output( GPIO_I2C_6_SCL, GPIO_LO )



#define HS_A_USB_TCXO_ON_HI() \
  gpio_direction_output( GPIO_USB_TCXO_ON, GPIO_HI )

#define HS_A_USB_TCXO_ON_LO() \
  gpio_direction_output( GPIO_USB_TCXO_ON, GPIO_LO )










































#define HS_A_SPK_ON1_HI() \
  gpio_direction_output( GPIO_SPK_ON1, GPIO_HI )

#define HS_A_SPK_ON1_LO() \
  gpio_direction_output( GPIO_SPK_ON1, GPIO_LO )



#define HS_A_SPK_ON2_HI() \
  gpio_direction_output( GPIO_SPK_ON2, GPIO_HI )

#define HS_A_SPK_ON2_LO() \
  gpio_direction_output( GPIO_SPK_ON2, GPIO_LO )



#define HS_A_IS_HEADSET_SW_ON() \
  ( gpio_get_value( GPIO_EAR_SW ) == GPIO_HI )



#define HS_A_CAM_FLASH_EN_HI()

#define HS_A_CAM_FLASH_EN_LO()



#define HS_A_LED_EN2_HI() \
  gpio_direction_output( GPIO_LED_EN2, GPIO_HI )

#define HS_A_LED_EN2_LO() \
  gpio_direction_output( GPIO_LED_EN2, GPIO_LO )



#define HS_A_CAM_VDD_L_CNT_HI() \
  gpio_direction_output( GPIO_CAM_VDD_L_CNT, GPIO_HI )

#define HS_A_CAM_VDD_L_CNT_LO() \
  gpio_direction_output( GPIO_CAM_VDD_L_CNT, GPIO_LO )



#define HS_A_IS_HEADSET_ON() \
  ( gpio_get_value( GPIO_EAR_DET ) == GPIO_HI )


















extern void hs_vreg_on_pm1(void);
extern void hs_vreg_off_pm1(void);

#define HS_SPEAKER_POWER_ON()   hs_vreg_on_pm1();
#define HS_SPEAKER_POWER_OFF()  hs_vreg_off_pm1();



extern void hs_vreg_on_pm10(void);
extern void hs_vreg_off_pm10(void);

#define HS_CAM_VDD_IO_ON()   hs_vreg_on_pm10();
#define HS_CAM_VDD_IO_OFF()  hs_vreg_off_pm10();


extern void hs_vreg_on_pm22(void);
extern void hs_vreg_off_pm22(void);

#define HS_CAM_VDD_A_ON()   hs_vreg_on_pm22();
#define HS_CAM_VDD_A_OFF()  hs_vreg_off_pm22();


extern void hs_vreg_on_pm24(void);
extern void hs_vreg_off_pm24(void);

#define HS_CAM_VDD_AF_ON()   hs_vreg_on_pm24();
#define HS_CAM_VDD_AF_OFF()  hs_vreg_off_pm24();


#define HS_VDD_MIC_EN(on,grp) proc_comm_vdd_mic_en(on,grp);


#endif 
